Avisi cloud logo
Cloud accounts

Set Primary Cloud Credentials

Deprecated

POST
/api/v1/orgs/{organisationSlug}/cloud-accounts/{cloudAccountIdentity}/credentials/{credentialsIdentity}/set-primary

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$
cloudAccountIdentity*string
Formatuuid
credentialsIdentity*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/orgs/string/cloud-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08/set-primary"
{  "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5",  "displayName": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "cloudProfile": {    "identity": "string",    "displayName": "string",    "metadata": {      "property1": "string",      "property2": "string"    },    "cloudProvider": "string",    "regions": [      "string"    ],    "enabled": true,    "type": "aws",    "cloudProviderResponse": {      "id": 0,      "name": "string",      "slug": "string",      "available": true,      "createdAt": "2019-08-24T14:15:22Z",      "modifiedAt": "2019-08-24T14:15:22Z",      "logo": "string",      "byon": true,      "type": "aws",      "privateClusterSetting": "UNAVAILABLE",      "metadata": {        "property1": "string",        "property2": "string"      },      "validateCloudCredentials": true    },    "cloudProviderRegionResponses": [      {        "id": 0,        "provider": "string",        "name": "string",        "slug": "string",        "available": true,        "restricted": true,        "addToNewTrialOrganizations": true,        "createdAt": "2019-08-24T14:15:22Z",        "modifiedAt": "2019-08-24T14:15:22Z"      }    ],    "public": true  },  "enabled": true,  "primaryCloudCredentialsIdentity": "962b660f-35b8-4ef0-9e6d-6f86f64922e0"}